Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataCollectionInfo

public class DataCollectionInfo

Version: 2.5.2, 3 April 2000
Since: 2.5.0
todo Document

Field Summary
`String` | `description` Short description of data collection.
`String` | `version` Version of collection.

Method Summary
`void` | `addUsedFile(File file)` Say that file used by data collection.
`ImageIcon` | `getChildrenNodeImage()` Return image for elements of this collection.
`Comparator` | `getComparator()`
`String` | `getDisplayName()`
`ImageIcon` | `getNodeImage()` Return image for this collection.
`List` | `getUsedFiles()` Return list of all files used by data collection.
`boolean` | `isLateChildrenInitialization()`
`boolean` | `isVisible()` Is this collection should be visible in repository tree.
`boolean` | `isVisibleChildren()` Is elements of this collection should be visible in repository tree.
`void` | `setChildrenNodeImage(ImageIcon img)` Set image for elements of this collection.
`void` | `setComparator(Comparator value)`
`void` | `setDisplayName(String value)`
`void` | `setLateChildrenInitialization(boolean isLateChildrenInitialization)`
`void` | `setNodeImage(ImageIcon img)` Set image for this collection.
`void` | `setVisible(boolean f)` Set this collection visible/invisible in repository tree.
`void` | `setVisibleChildren(boolean f)` Set elements of this collection visible/invisible in repository tree.

Field Detail

### description

    public String description

  Short description of data collection.

### version

    public String version

  Version of collection.

Method Detail

### addUsedFile

    public void addUsedFile(File file)

  Say that file used by data collection.

### getChildrenNodeImage

    public ImageIcon getChildrenNodeImage()

  Return image for elements of this collection.
  Returns: Image for elements of this collection.

### getComparator

    public Comparator getComparator()

### getDisplayName

    public String getDisplayName()

### getNodeImage

    public ImageIcon getNodeImage()

  Return image for this collection.
  Returns: Image for this collection.

### getUsedFiles

    public List getUsedFiles()

  Return list of all files used by data collection. Return clone of internal storage and so, this list may be changed or removed without misformed internel storage.
  Returns: List of all files used by data collection.

### isLateChildrenInitialization

    public boolean isLateChildrenInitialization()

### isVisible

    public boolean isVisible()

  Is this collection should be visible in repository tree.
  Returns: Is this collection should be visible in repository tree.

### isVisibleChildren

    public boolean isVisibleChildren()

  Is elements of this collection should be visible in repository tree.
  Returns: Is elements of this collection should be visible in repository tree.

### setChildrenNodeImage

    public void setChildrenNodeImage(ImageIcon img)

  Set image for elements of this collection.
  Parameters:
    img - Image for elements of this collection.

### setComparator

    public void setComparator(Comparator value)

### setDisplayName

    public void setDisplayName(String value)

### setLateChildrenInitialization

    public void setLateChildrenInitialization(boolean isLateChildrenInitialization)

### setNodeImage

    public void setNodeImage(ImageIcon img)

  Set image for this collection.
  Parameters:
    img - Image for this collection.

### setVisible

    public void setVisible(boolean f)

  Set this collection visible/invisible in repository tree.
  Parameters:
    f - Is this collection should be visible in repository tree.

### setVisibleChildren

    public void setVisibleChildren(boolean f)

  Set elements of this collection visible/invisible in repository tree.
  Parameters:
    f - Is elements of this collection should be visible in repository tree.

Association Links

to Class java.lang.String

  Short description of data collection.

to Class java.lang.String

  Version of collection.

to Class java.lang.String

to Class java.util.Comparator

to Class javax.swing.ImageIcon

  Image of Repository node

  author lesa

to Class javax.swing.ImageIcon

  Image of Repository node

  author lesa

to Class java.util.List

  Array with list of all files used by data collection. This list used for permanently removing of data collection.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM